local _, slicore = ...;
slicore.Optionswindow = {};
local Optionswindow = slicore.Optionswindow;
local MyOptionswindow;

function Optionswindow:OnDragStart()
    MyOptionswindow:StartMoving();
end

function Optionswindow:OnDragStop()
    MyOptionswindow:StopMovingOrSizing();
end

function Optionswindow:startup (launchlevel)
    if (launchlevel == 1) then
        Optionswindow.RootFrame = CreateFrame("Frame", "slit_OptionFrame", UIParent, BackdropTemplateMixin and 'BackdropTemplate');
        MyOptionswindow = Optionswindow.RootFrame;
        MyOptionswindow:SetFrameStrata("DIALOG");
        MyOptionswindow:SetSize(300,250);
        MyOptionswindow:SetPoint("CENTER",UiParent,"CENTER");
        MyOptionswindow:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
            edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
            tile = true,
            tileSize = 32,
            edgeSize = 18,
            insets = {left = 7, right = 7, top = 7, bottom = 7}
        });
        MyOptionswindow:EnableMouse(true);
        MyOptionswindow:SetMovable(true);
        MyOptionswindow:RegisterForDrag("LeftButton");
        MyOptionswindow:SetScript("OnDragStart",Optionswindow.OnDragStart);
        MyOptionswindow:SetScript("OnDragStop",Optionswindow.OnDragStop);
        MyOptionswindow:Hide();

        MyOptionswindow.CloseButton = CreateFrame("Button","OptionCloseButton", slit_OptionFrame, "UIPanelButtonTemplate");
        MyOptionswindow.CloseButton:SetSize(100,20);
        MyOptionswindow.CloseButton:SetPoint("BOTTOMRIGHT", slit_OptionFrame, "BOTTOMRIGHT",-12,10);
        MyOptionswindow.CloseButton:SetText("Done");
        MyOptionswindow.CloseButton:SetScript("OnClick", function()
            MyOptionswindow:Hide();
        end)

        MyOptionswindow.ShowLife = CreateFrame("CheckButton","OptionShowLife",slit_OptionFrame, "OptionsCheckButtonTemplate");
        MyOptionswindow.ShowLife:SetPoint("TOPLEFT",slit_OptionFrame,"TOPLEFT",20,-10);
        OptionShowLifeText:SetText("Show Life");
        MyOptionswindow.ShowLife:SetScript("OnClick", function()
                SLICERTNG_OPTIONS["ShowLife"] = MyOptionswindow.ShowLife:GetChecked();
                slicore.Mainwindow:Anzeige();
        end)

        MyOptionswindow.ShowEnergy = CreateFrame("CheckButton","OptionShowEnergy",slit_OptionFrame, "OptionsCheckButtonTemplate");
        MyOptionswindow.ShowEnergy:SetPoint("TOPLEFT",slit_OptionFrame,"TOPLEFT",20,-30);
        OptionShowEnergyText:SetText("Show Energy");
        MyOptionswindow.ShowEnergy:SetScript("OnClick", function()
                SLICERTNG_OPTIONS["ShowEnergy"] = MyOptionswindow.ShowEnergy:GetChecked();
                slicore.Mainwindow:Anzeige();
        end)
        MyOptionswindow.unlockbuffs = CreateFrame("CheckButton","Optionunlockbuffs",slit_OptionFrame, "OptionsCheckButtonTemplate");
        MyOptionswindow.unlockbuffs:SetPoint("TOPLEFT",slit_OptionFrame,"TOPLEFT",20,-50);
        OptionunlockbuffsText:SetText("Unlock Buffs");
        MyOptionswindow.unlockbuffs:SetScript("OnClick", function()
            SLICERTNG_OPTIONS["UnlockBuffs"] = MyOptionswindow.unlockbuffs:GetChecked();
        end)
        MyOptionswindow.resetbuffs = CreateFrame("Button", "Resetbuffs",slit_OptionFrame,"UIPanelButtonTemplate");
        MyOptionswindow.resetbuffs:SetPoint("TOPLEFT",slit_OptionFrame,"TOPLEFT",150,-50);
        MyOptionswindow.resetbuffs:SetText("Reset Buffs Position");
        MyOptionswindow.resetbuffs:SetWidth(140);

        MyOptionswindow.lockposi = CreateFrame("CheckButton","LockSliFrame",slit_OptionFrame, "OptionsCheckButtonTemplate");
        MyOptionswindow.lockposi:SetPoint("TOPLEFT",slit_OptionFrame,"TOPLEFT",140,-10);
        LockSliFrameText:SetText("Lock Position");
        MyOptionswindow.lockposi:SetScript("OnClick", function()
            SLICERTNG_OPTIONS["LockPosition"] = MyOptionswindow.lockposi:GetChecked();
        end)

        MyOptionswindow.showsunder = CreateFrame("CheckButton","ShowSunder",slit_OptionFrame, "OptionsCheckButtonTemplate");
        MyOptionswindow.showsunder:SetPoint("TOPLEFT",slit_OptionFrame,"TOPLEFT",20,-70);
        ShowSunderText:SetText("Show Sunder Armor");
        MyOptionswindow.showsunder:SetScript("OnClick", function()
            SLICERTNG_OPTIONS["ShowSunder"] = MyOptionswindow.showsunder:GetChecked();
            slicore.Mainwindow:Anzeige();
        end)

        MyOptionswindow.showallways = CreateFrame("CheckButton","ShowAllways",slit_OptionFrame, "OptionsCheckButtonTemplate");
        MyOptionswindow.showallways:SetPoint("TOPLEFT",slit_OptionFrame,"TOPLEFT",20,-90);
        ShowAllwaysText:SetText("Show SLI Allways");
        MyOptionswindow.showallways:SetScript("OnClick", function()
            SLICERTNG_OPTIONS["ShowAllways"] = MyOptionswindow.showallways:GetChecked();
            slicore.Mainwindow:Anzeige();
        end)
    end
end

function Optionswindow:setoptions()
    MyOptionswindow.ShowLife:SetChecked(SLICERTNG_OPTIONS["ShowLife"]);
    MyOptionswindow.ShowEnergy:SetChecked(SLICERTNG_OPTIONS["ShowEnergy"]);
    MyOptionswindow.unlockbuffs:SetChecked(SLICERTNG_OPTIONS["UnlockBuffs"]);
    MyOptionswindow.lockposi:SetChecked(SLICERTNG_OPTIONS["LockPosition"]);
    MyOptionswindow.showsunder:SetChecked(SLICERTNG_OPTIONS["ShowSunder"]);
    MyOptionswindow.showallways:SetChecked(SLICERTNG_OPTIONS["ShowAllways"]);
end
